using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Threading;

namespace StringHelperTest
{
	/// <summary>
	/// ߾ȼʱ
	/// </summary>
    public class HiPerfTimer
    {
        [DllImport("Kernel32.dll")]
        private static extern bool QueryPerformanceCounter(out long lpPerformanceCount);  

		[DllImport("Kernel32.dll")]
		private static extern bool QueryPerformanceFrequency(out long lpFrequency);
		
		private long startTime, stopTime;
		private long freq;
		
        /// <summary>
        /// ߾ȼʱ
        /// </summary>
		public HiPerfTimer()
		{
            startTime = 0;
            stopTime  = 0;

            if (QueryPerformanceFrequency(out freq) == false)
            {
                throw new Win32Exception(); 
            }
		}
		
		/// <summary>
		/// ʼʱ
		/// </summary>
		public void Start()
		{
            Thread.Sleep(0);  

			QueryPerformanceCounter(out startTime);
		}
		
		/// <summary>
		/// ֹͣʱ
		/// </summary>
		public void Stop()
		{
		    QueryPerformanceCounter(out stopTime);
		}
		
		/// <summary>
		/// ִ
		/// </summary>
		public double Duration
        {
        	get
        	{
            	return (double)(stopTime - startTime) / (double) freq;
            }
        }
	}
}
